<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_RentacarBookingInfo StructType
 * @subpackage Structs
 */
class JP_RentacarBookingInfo extends AbstractStructBase
{
    /**
     * The PickUp
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PickUp
     */
    public $PickUp;
    /**
     * Constructor method for JP_RentacarBookingInfo
     * @uses JP_RentacarBookingInfo::setPickUp()
     * @param \StructType\JP_PickUp $pickUp
     */
    public function __construct(\StructType\JP_PickUp $pickUp = null)
    {
        $this
            ->setPickUp($pickUp);
    }
    /**
     * Get PickUp value
     * @return \StructType\JP_PickUp|null
     */
    public function getPickUp()
    {
        return $this->PickUp;
    }
    /**
     * Set PickUp value
     * @param \StructType\JP_PickUp $pickUp
     * @return \StructType\JP_RentacarBookingInfo
     */
    public function setPickUp(\StructType\JP_PickUp $pickUp = null)
    {
        $this->PickUp = $pickUp;
        return $this;
    }
}
